/*
   UNIVERSAL DATA TRANSPORTER CLIENT SDK
 */


/* Valeurs de retour des fonctions de l'API
 */
#define UDT_OK                           0
#define UDT_SERVERNOTPRESENT             1
#define UDT_CONNECTIONFAILED             2
#define UDT_BADCLIENTHANDLE              3
#define UDT_IPXERROR                     4
#define UDT_IPXSOCKETNOTOPEN             5
#define UDT_OUTOFMEMORY                  6
#define UDT_NORESPONSEFROMSERVER         7
#define UDT_IPXNOTINSTALLED              8
#define UDT_INVALIDMEMORY                9
#define UDT_CONNECTIONREJECTED           10


/* Structures utilisees dans l'application
 */
typedef struct tagUDTSERVER_INFO { char szServerName [ 48 ];
                                   unsigned char uchIPXAddress [ 12 ];
                                 } UDTSERVER_INFO;
typedef UDTSERVER_INFO FAR * LPUDTSERVER_INFO;


/* redefinitions de types proprietaires:
 */
typedef unsigned int HSESSION;
typedef HSESSION FAR * LPHSESSION;
typedef void huge * HPVOID;

#ifdef __cplusplus
extern "C"
{
#endif

/* Prototypes des fonctions:
 */
int CALLBACK UdtSendBuffer ( HSESSION, HPVOID FAR *, LPLONG );
void CALLBACK UdtGetVersion ( LPINT, LPINT, LPINT );
BOOL CALLBACK UdtGetStationUserName ( LPSTR, int );
int CALLBACK UdtCloseSession ( HSESSION );
int CALLBACK UdtGetServers ( LPUDTSERVER_INFO FAR * );
int CALLBACK UdtOpenSession ( LPHSESSION, LPUDTSERVER_INFO );
HPVOID CALLBACK UdtAlloc ( LONG );
BOOL CALLBACK UdtFree ( HPVOID );
HPVOID CALLBACK UdtReAlloc ( HPVOID, LONG );
void CALLBACK UdtCopyMemory ( HPVOID, HPVOID, LONG );

#ifdef __cplusplus
}
#endif




