
/* Constantes
 */
#define RQP_OK                          1
#define RQP_MEMORY                      2
#define RQP_BADFORMAT                   3
#define RQP_UNKNOWN                     4
#define RQP_NOMOREUSERS                 5
#define RQP_CANNOTLOAD			6

typedef int HCLIENT;

/* Fonctions publiques
 */
int RQProcRegisterNewClient ( HCLIENT, const IPX_ADDR *, WORD, const char * );
int RQProcClientTermination ( HCLIENT );
int RQProcCriticalClientTermination ( HCLIENT );
int RQProcGetDescriptionText ( HCLIENT, const char *, char *, int );
int RQProcProcessRequest ( HCLIENT, char **, LONG * );
int RQProcLoadTransporter ( char *, char * );
void RQProcDownTransporter ( void );
int RQProcGetNumberOfConnections ( void );


